This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1466271 - Review Request: perl-Mail-Box-POP3 - Handle POP3 folders as client
Review Request: perl-Mail-Box-POP3 - Handle POP3 folders as client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 07:38 EDT by Jitka Plesnikova
Modified: 2017-08-03 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 08:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-06-29 07:38:22 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Mail-Box-POP3/perl-Mail-Box-POP3.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Mail-Box-POP3/perl-Mail-Box-POP3-3.001-1.fc27.src.rpm

Description:
Maintain a folder which has its messages stored on a remote server. The
communication between the client application and the server is implemented
using the POP3 protocol. This class uses Mail::Transport::POP3 to hide the
transport of information, and focusses solely on the correct handling of
messages within a POP3 folder.

Fedora Account System Username: jplesnik@redhat.com

The package was split off from Mail::Box
Comment 1 Petr Pisar 2017-06-30 03:58:17 EDT
URL and Source0 addresses are Ok.
Source0 archive (SHA-256: 6381322ec44cf28e2ef693a86fed4cc2d706edd28d073c5d90cb0a5137459cb6) is original. Ok.
Summary verified from lib/Mail/Box/POP3.pod. Ok.
Description verified from lib/Mail/Box/POP3.pod. Ok.
License verified in lib/Mail/Box/POP3.pod, lib/Mail/Box/POP3/Message.pod, lib/Mail/Box/POP3s.pod, and lib/Mail/Transport/POP3.pod. Ok.
No XS code, noarch BuildArch is Ok.

FIX: Do not build-require `perl(Mail::Reporter)'. It's not used.
FIX: Build-require `perl(IO::Socket::INET)' (lib/Mail/Transport/POP3.pm:260).

TODO: IO::Socket::INET does not support IPv6. Please patch the code to use IO::Socket::IP instead.

All test pass. Ok.

$ rpmlint perl-Mail-Box-POP3.spec ../SRPMS/perl-Mail-Box-POP3-3.001-1.fc27.src.rpm ../RPMS/noarch/perl-Mail-Box-POP3-3.001-1.fc27.noarch.rpm 
perl-Mail-Box-POP3.src: W: spelling-error %description -l en_US focusses -> focuses, focused, cusses
perl-Mail-Box-POP3.noarch: W: spelling-error %description -l en_US focusses -> focuses, focused, cusses
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
FIX: Correct the misspelling.

$ rpm -q -lv -p ../RPMS/noarch/perl-Mail-Box-POP3-3.001-1.fc27.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jun 30 09:45 /usr/share/doc/perl-Mail-Box-POP3
-rw-r--r--    1 root    root                      281 Feb  2 16:07 /usr/share/doc/perl-Mail-Box-POP3/ChangeLog
-rw-r--r--    1 root    root                      811 Feb  2 16:07 /usr/share/doc/perl-Mail-Box-POP3/README
-rw-r--r--    1 root    root                     8313 Jun 30 09:45 /usr/share/man/man3/Mail::Box::POP3.3pm.gz
-rw-r--r--    1 root    root                     6055 Jun 30 09:45 /usr/share/man/man3/Mail::Box::POP3::Message.3pm.gz
-rw-r--r--    1 root    root                     6641 Jun 30 09:45 /usr/share/man/man3/Mail::Box::POP3s.3pm.gz
-rw-r--r--    1 root    root                     6276 Jun 30 09:45 /usr/share/man/man3/Mail::Transport::POP3.3pm.gz
drwxr-xr-x    2 root    root                        0 Jun 30 09:45 /usr/share/perl5/vendor_perl/Mail
drwxr-xr-x    2 root    root                        0 Jun 30 09:45 /usr/share/perl5/vendor_perl/Mail/Box
drwxr-xr-x    2 root    root                        0 Jun 30 09:45 /usr/share/perl5/vendor_perl/Mail/Box/POP3
-rw-r--r--    1 root    root                     5116 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3.pm
-rw-r--r--    1 root    root                    19832 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3.pod
-rw-r--r--    1 root    root                     1808 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3/Message.pm
-rw-r--r--    1 root    root                    16411 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3/Message.pod
-rw-r--r--    1 root    root                     1572 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3/Test.pm
-rw-r--r--    1 root    root                      648 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3s.pm
-rw-r--r--    1 root    root                    15698 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Box/POP3s.pod
drwxr-xr-x    2 root    root                        0 Jun 30 09:45 /usr/share/perl5/vendor_perl/Mail/Transport
-rw-r--r--    1 root    root                     9381 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Transport/POP3.pm
-rw-r--r--    1 root    root                    13090 Feb  2 16:07 /usr/share/perl5/vendor_perl/Mail/Transport/POP3.pod
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Mail-Box-POP3-3.001-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(base)
      1 perl(Carp)
      1 perl(Digest::MD5)
      1 perl(Exporter)
      1 perl(File::Basename)
      1 perl(File::Spec)
      1 perl(IO::Socket)
      1 perl(List::Util)
      1 perl(Mail::Box::FastScalar) >= 3
      1 perl(Mail::Box::Net) >= 3
      1 perl(Mail::Box::Net::Message)
      1 perl(Mail::Box::Parser::Perl) >= 3
      1 perl(Mail::Box::POP3)
      1 perl(Mail::Box::POP3::Message)
      1 perl(Mail::Transport::POP3)
      1 perl(Mail::Transport::Receive) >= 3
      1 perl(Socket)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Run-require `perl(IO::Socket::SSL)' and `perl(IO::Socket::INET)' (lib/Mail/Transport/POP3.pm:260).

$ rpm -q --provides -p ../RPMS/noarch/perl-Mail-Box-POP3-3.001-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(Mail::Box::POP3) = 3.001
      1 perl(Mail::Box::POP3::Message) = 3.001
      1 perl(Mail::Box::POP3::Test) = 3.001
      1 perl(Mail::Box::POP3s) = 3.001
      1 perl(Mail::Transport::POP3) = 3.001
      1 perl-Mail-Box-POP3 = 3.001-1.fc27
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Mail-Box-POP3-3.001-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=20259573). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items and consider fixing the `TODO' item before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2017-06-30 08:04:42 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Mail-Box-POP3
Comment 3 Fedora Update System 2017-06-30 09:43:48 EDT
perl-Mail-Box-POP3-3.002-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38158c570b
Comment 4 Fedora Update System 2017-06-30 16:27:12 EDT
perl-Mail-Box-POP3-3.002-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38158c570b
Comment 5 Fedora Update System 2017-07-03 03:32:04 EDT
perl-Mail-Box-POP3-3.002-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b80e1577d
Comment 6 Fedora Update System 2017-07-03 14:24:57 EDT
perl-Mail-Box-POP3-3.002-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b80e1577d
Comment 7 Fedora Update System 2017-07-11 16:55:10 EDT
perl-Mail-Box-POP3-3.002-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.